POST api/Company/Add

Request Information

URI Parameters

None.

Body Parameters

CompanyDTO
NameDescriptionTypeAdditional information
company_id

string

None.

company_pass

string

None.

company_code

string

None.

company_name

string

None.

staff_login_id

string

None.

company_tax

string

None.

company_address

string

None.

company_representative

string

None.

company_position

string

None.

company_phone

string

None.

company_email

string

None.

company_account_type

string

None.

company_staffnumber

string

None.

company_storage

string

None.

isMaster

integer

None.

service_code

integer

None.

company_startdate

date

None.

company_enddate

date

None.

company_starttime

time interval

None.

company_endtime

time interval

None.

create_date

date

None.

Request Formats

application/json, text/json

Sample:
{
  "company_id": "sample string 1",
  "company_pass": "sample string 2",
  "company_code": "sample string 3",
  "company_name": "sample string 4",
  "staff_login_id": "sample string 5",
  "company_tax": "sample string 6",
  "company_address": "sample string 7",
  "company_representative": "sample string 8",
  "company_position": "sample string 9",
  "company_phone": "sample string 10",
  "company_email": "sample string 11",
  "company_account_type": "sample string 12",
  "company_staffnumber": "sample string 13",
  "company_storage": "sample string 14",
  "isMaster": 1,
  "service_code": 1,
  "company_startdate": "2026-04-07T04:46:03.0389986+07:00",
  "company_enddate": "2026-04-07T04:46:03.0395049+07:00",
  "company_starttime": "00:00:00.1234567",
  "company_endtime": "00:00:00.1234567",
  "create_date": "2026-04-07T04:46:03.0395049+07:00"
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

HttpResponseMessage
NameDescriptionTypeAdditional information
Version

Version

None.

Content

HttpContent

None.

StatusCode

HttpStatusCode

None.

ReasonPhrase

string

None.

Headers

Collection of Object

None.

RequestMessage

HttpRequestMessage

None.

IsSuccessStatusCode

boolean

None.